Package org.eclipse.help.search

## Class AbstractSearchProcessor

- java.lang.Object
- - org.eclipse.help.search.AbstractSearchProcessor

    public abstract class AbstractSearchProcessor
    extends Object

This class is responsible for handling any pre or post search processing events, including query manipulation and output to the search frame.

Since:
  3.6

### Constructor Summary

Constructors
`AbstractSearchProcessor()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract ISearchResult[]` `postSearch​(String query, ISearchResult[] results)` This method is called after the search is performed.
`abstract SearchProcessorInfo` `preSearch​(String query)` This method is called before the search is performed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractSearchProcessor

    public AbstractSearchProcessor()

### Method Detail

#### preSearch

    public abstract SearchProcessorInfo preSearch​(String query)

This method is called before the search is performed. See `SearchProcessorInfo` for types of information that can be used by the search display.

Returns:
  `SearchProcessorInfo`, or `null` for no changes.

#### postSearch

    public abstract ISearchResult[] postSearch​(String query,
                                               ISearchResult[] results)

This method is called after the search is performed. Results are stored as an array of ISearchResult containing all available data. This method can be used to return a modified result set. For example, one can change the result score of an item, add new results to the top of the list, or remove results.

Returns:
  ``ISearchResult`[]`, or `null` for no changes.